#ifndef _COUNTER_IO_CALLS_H_
#define _COUNTER_IO_CALLS_H_

#ifndef __KERNEL__
#include <stdint.h>
#define u64 uint64_t
#define u32 uint32_t
#endif

#include "leds_codes.h"

struct observation {
  u64 ts_sec;
  u64 ts_nsec;
  u32 value;
};

struct led_cmd {
  enum led_color_e color;
  enum led_state_e state;
};

#define LED_CMD _IOW('l', 'c', struct led_cmd *);


#endif /* _COUNTER_IO_CALLS_H_ */
